Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlPolygon Class Reference
GlEntities

`#include <GlPolygon.h>`

Inheritance diagram for tlp::GlPolygon:
[legend]
Collaboration diagram for tlp::GlPolygon:
[legend]

List of all members.

## Public Member Functions

- GlPolygon (const bool filled=true, const bool outlined=true, const std::string &textureName="", const float outlineSize=1)
- GlPolygon (const std::vector< Coord > &points, const std::vector< Color > &fillColors, const std::vector< Color > &outlineColors, const bool filled, const bool outlined, const std::string &textureName="", const float outlineSize=1)
- GlPolygon (const unsigned int nbPoints, const unsigned int nbFillColors, const unsigned int nbOutlineColors, const bool filled=true, const bool outlined=true, const std::string &textureName="", const float outlineSize=1)
- virtual ~GlPolygon ()
- virtual void resizePoints (const unsigned int nbPoints)
- virtual void resizeColors (const unsigned int nbColors)
- virtual const Coord & point (const unsigned int i) const
- virtual Coord & point (const unsigned int i)

## Detailed Description

class to create a polygon

## Constructor & Destructor Documentation

tlp::GlPolygon::GlPolygon | ( | const bool | filled = `true`,
|  | const bool | outlined = `true`,
|  | const std::string & | textureName = `""`,
|  | const float | outlineSize = `1`
| ) |  |

Constructor where specify if the polygon is filled, is outlines and the outline size

tlp::GlPolygon::GlPolygon | ( | const std::vector< Coord > & | points,
|  | const std::vector< Color > & | fillColors,
|  | const std::vector< Color > & | outlineColors,
|  | const bool | filled,
|  | const bool | outlined,
|  | const std::string & | textureName = `""`,
|  | const float | outlineSize = `1`
| ) |  |

Constructor with a vector of point, a vector of fill color, a vector of outline color and if the polygon is filled, is outlined and the outline size

tlp::GlPolygon::GlPolygon | ( | const unsigned int | nbPoints,
|  | const unsigned int | nbFillColors,
|  | const unsigned int | nbOutlineColors,
|  | const bool | filled = `true`,
|  | const bool | outlined = `true`,
|  | const std::string & | textureName = `""`,
|  | const float | outlineSize = `1`
| ) |  |

Constructor with a number of point, a number of fill color, a number of outline color and if the polygon is filled, outlined and the ouline size

virtual tlp::GlPolygon::~GlPolygon | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const Coord& tlp::GlPolygon::point | ( | const unsigned int | i | ) | const`[virtual]`

return the ith point

virtual Coord& tlp::GlPolygon::point | ( | const unsigned int | i | ) | `[virtual]`

return the ith point

virtual void tlp::GlPolygon::resizeColors | ( | const unsigned int | nbColors | ) | `[virtual]`

Change number of colors of the polygon

virtual void tlp::GlPolygon::resizePoints | ( | const unsigned int | nbPoints | ) | `[virtual]`

Change number of point of the polygon

Reimplemented in tlp::GlRegularPolygon.

Tulip Software by LaBRI Visualization Team 2001 - 2012